> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook Secret

> Gets the webhook secret for signature validation.

`Unary` · [`Webhooks`](https://ona.com/docs/api-reference/generated/webhook/overview)

Gets the webhook secret for signature validation.

This operation is audited for security purposes.

Use this method to:

* Retrieve webhook secret for SCM configuration
* Verify webhook signatures

### Examples

* Get webhook secret:

  Retrieves the webhook secret.

  ```yaml theme={null}
  webhookId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.WebhookService/GetWebhookSecret
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.WebhookService/GetWebhookSecret" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "webhookId": "<webhook-id>"
}'
```

```python Python theme={null}
import gitpod.v1.webhook_pb2 as webhook_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = webhook_pb2.GetWebhookSecretRequest(
    webhook_id="<webhook-id>",
)
response = ona.services.webhook.get_webhook_secret(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { GetWebhookSecretRequestSchema } from "@gitpod/sdk/gitpod/v1/webhook_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(GetWebhookSecretRequestSchema, {
    webhookId: "<webhook-id>",
  });
  const response = await ona.services.webhook.getWebhookSecret(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.GetWebhookSecretRequest{
		WebhookId: "<webhook-id>",
	})
	response, err := ona.Services.Webhook.GetWebhookSecret(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "webhookId": "<webhook-id>"
}
```

## Request

`gitpod.v1.GetWebhookSecretRequest`

GetWebhookSecretRequest retrieves the webhook secret.

| Field | Type | Required | Description |
| - | - | - | - |
| `webhookId` | string | No | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.GetWebhookSecretResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `secret` | string | No | The decrypted webhook secret |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.